Bug 498343 - yum failure when trying to pull down repomd.xml
yum failure when trying to pull down repomd.xml
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
520
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Pradeep Kilambi
Jeff Ortel
:
Depends On:
Blocks: 485807
  Show dependency treegraph
 
Reported: 2009-04-29 19:27 EDT by Xixi
Modified: 2009-09-10 14:41 EDT (History)
6 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 350371
Environment:
Last Closed: 2009-09-10 14:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Xixi 2009-04-29 19:31:36 EDT
Snippet from customer satellite tracebacks -

...
While running 'repodata': caught
exceptions.TypeError : unsubscriptable object

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheRequest.py", line 108, in call_function
    response = apply(func, params)
  File "/usr/share/rhn/server/rhnRepository.py", line 179, in repodata
    output = repo.get_repomd_file()
  File "/usr/share/rhn/server/repomd/repository.py", line 334, in get_repomd_file
    self.repository.get_updateinfo_xml_file(),
  File "/usr/share/rhn/server/repomd/repository.py", line 107, in get_updateinfo_xml_file
    viewobj.write_updateinfo()
  File "/usr/share/rhn/server/repomd/view.py", line 304, in write_updateinfo
    for erratum in self.channel.errata:
  File "/usr/share/rhn/server/repomd/mapper.py", line 134, in _erratum_generator
    erratum = self.erratum_mapper.get_erratum(erratum_id[0])
  File "/usr/share/rhn/server/repomd/mapper.py", line 455, in get_erratum
    package = self.package_mapper.get_package(package_id)
  File "/usr/share/rhn/server/repomd/mapper.py", line 161, in get_package
    last_modified = str(self.mapper.last_modified(package_id))
  File "/usr/share/rhn/server/repomd/mapper.py", line 300, in last_modified
    return self.last_modified_sql.fetchone()[0]
TypeError: unsubscriptable object
...

Per Prad this is fixed in Satellite 5.3.0, so putting in a Satellite BZ to make sure this is covered in QA.
Comment 7 Jeff Ortel 2009-06-30 11:33:08 EDT
Verified.  See comments #5 & #6.
Comment 8 Steve Salevan 2009-08-10 11:30:56 EDT
RELEASE_PENDING from 7/24 build.
Comment 9 Brandon Perkins 2009-09-10 14:41:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.